## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.5.0
%bcond_without check

# https://github.com/beego/beego
%global goipath         github.com/beego/beego
Version:                2.0.1

%gometa

%global common_description %{expand:
Beego is an open-source, high-performance web framework for the Go programming
language.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Beego is an open-source, high-performance web framework for the Go programming language

# Upstream license specification: Apache-2.0 and MIT
License:        ASL 2.0 and MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/wendal/goyaml2)
BuildRequires:  golang(github.com/clbanning/x2j)
BuildRequires:  golang(github.com/bradfitz/gomemcache/memcache)
BuildRequires:  golang(github.com/casbin/casbin)
BuildRequires:  golang(github.com/cloudflare/golz4)
BuildRequires:  golang(github.com/coreos/etcd/clientv3)
BuildRequires:  golang(github.com/couchbase/go-couchbase)
BuildRequires:  golang(github.com/elastic/go-elasticsearch/v6)
BuildRequires:  golang(github.com/elastic/go-elasticsearch/v6/esapi)
BuildRequires:  golang(github.com/elazarl/go-bindata-assetfs)
BuildRequires:  golang(github.com/go-kit/kit/log)
BuildRequires:  golang(github.com/go-kit/kit/tracing/opentracing)
BuildRequires:  golang(github.com/go-redis/redis/v7)
BuildRequires:  golang(github.com/go-sql-driver/mysql)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/gomodule/redigo/redis)
BuildRequires:  golang(github.com/grpc-ecosystem/go-grpc-prometheus)
BuildRequires:  golang(github.com/hashicorp/golang-lru)
BuildRequires:  golang(github.com/ledisdb/ledisdb/config)
BuildRequires:  golang(github.com/ledisdb/ledisdb/ledis)
BuildRequires:  golang(github.com/lib/pq)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/pelletier/go-toml)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/shiena/ansicolor)
BuildRequires:  golang(github.com/ssdb/gossdb/ssdb)
BuildRequires:  golang(golang.org/x/crypto/acme/autocert)
BuildRequires:  golang(golang.org/x/tools/go/packages)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(gopkg.in/yaml.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/mattn/go-sqlite3)
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i "s|github.com/beego/goyaml2|github.com/wendal/goyaml2|" $(find . -iname "*.go" -type f)
sed -i "s|github.com/beego/x2j|github.com/clbanning/x2j|" $(find . -iname "*.go" -type f)

%install
%gopkginstall

%if %{with check}
%check
# adapter/cache/memcache: needs network
%gocheck -t adapter/cache -t client/cache -t adapter -t client/httplib -t client/orm -t core/config/etcd -t server/web/session/redis
%endif

%gopkgfiles

%changelog
* Mon Aug 02 2021 Robert-André Mauchin <zebob.m@gmail.com> 2.0.1-2
- Uncommitted changes

* Mon Aug 02 2021 Robert-André Mauchin <zebob.m@gmail.com> 2.0.1-1
- Initial release
